Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.log
Class ReasonerLogRecordFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecordFactory

    public class ReasonerLogRecordFactory

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 23, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`protected` | `ReasonerLogRecordFactory()`

Method Summary
`ReasonerLogRecord` | `createConceptConsistencyLogRecord(RDFSClass aClass, boolean consistent, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createDIGReasonerExceptionLogRecord(DIGReasonerException ex, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createErrorMessageLogRecord(String message, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createInformationMessageLogRecord(String message, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createOWLInstanceLogRecord(RDFResource instance, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createOWLPropertyLogRecord(RDFProperty prop, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createReasonerExceptionLogRecord(ProtegeReasonerException ex, ReasonerLogRecord parent)`
`ReasonerLogRecord` | `createWarningMessageLogRecord(RDFResource cause, String message, ReasonerLogRecord parent)`
`static ReasonerLogRecordFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonerLogRecordFactory

    protected ReasonerLogRecordFactory()

Method Detail

### getInstance

    public static ReasonerLogRecordFactory getInstance()

### createInformationMessageLogRecord

    public ReasonerLogRecord createInformationMessageLogRecord(String message,
                                                               ReasonerLogRecord parent)

### createWarningMessageLogRecord

    public ReasonerLogRecord createWarningMessageLogRecord(RDFResource cause,
                                                           String message,
                                                           ReasonerLogRecord parent)

### createErrorMessageLogRecord

    public ReasonerLogRecord createErrorMessageLogRecord(String message,
                                                         ReasonerLogRecord parent)

### createConceptConsistencyLogRecord

    public ReasonerLogRecord createConceptConsistencyLogRecord(RDFSClass aClass,
                                                               boolean consistent,
                                                               ReasonerLogRecord parent)

### createOWLInstanceLogRecord

    public ReasonerLogRecord createOWLInstanceLogRecord(RDFResource instance,
                                                        ReasonerLogRecord parent)

### createOWLPropertyLogRecord

    public ReasonerLogRecord createOWLPropertyLogRecord(RDFProperty prop,
                                                        ReasonerLogRecord parent)

### createDIGReasonerExceptionLogRecord

    public ReasonerLogRecord createDIGReasonerExceptionLogRecord(DIGReasonerException ex,
                                                                 ReasonerLogRecord parent)

### createReasonerExceptionLogRecord

    public ReasonerLogRecord createReasonerExceptionLogRecord(ProtegeReasonerException ex,
                                                              ReasonerLogRecord parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.